1. Screening
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
    • Record screening outcome
      POST
  • Watchlists
    • Entries
      • Add watchlist entry
      • List watchlist entries
      • Remove watchlist entry
      • Export watchlist entries
      • Bulk import watchlist entries
    • Jobs
      • Cancel a watchlist import job
      • Get watchlist import job
      • List watchlist import jobs
      • Sync watchlist
    • List watchlists
      GET
    • Create watchlist
      POST
    • Update watchlist
      PATCH
  • Schemas
    • ValidationErrorDetail
    • RecordOutcome
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • Watchlist
    • txn-monitoring-bff_ScreeningResult
    • ScreenTransaction
    • CreateWatchlist
    • txn-monitoring-bff_ScreenTransaction
    • ScreeningRequestsList
    • WatchlistsList
    • Rescreen
    • UpdateWatchlist
    • WatchlistEntriesList
    • WatchlistEntry
    • AddEntry
    • RemoveWatchlistEntry
    • SyncWatchlist
    • WatchlistImportJob
    • WatchlistExport
    • WatchlistImportJobsList
  1. Screening

Screen transaction

POST
/v1/txn-monitoring/screening
Screens a transaction against pre-transaction rules and watchlists, returning a risk assessment with matched rules and watchlist hits.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/screening' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "transactionRef": "string",
    "transactionType": "string",
    "originator": {
        "name": "string",
        "type": "INDIVIDUAL",
        "accountId": "string",
        "accountType": "string",
        "country": "string"
    },
    "beneficiary": {
        "name": "string",
        "type": "INDIVIDUAL",
        "accountId": "string",
        "accountType": "string",
        "country": "string"
    },
    "amount": {
        "currency": "str",
        "amount": 0
    },
    "channel": "ONLINE",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "authentication": {
        "method": "3DS_1",
        "enrollmentStatus": "ENROLLED",
        "result": "AUTHENTICATED",
        "eciIndicator": "stri",
        "threeDsVersion": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": "string",
        "transactionRef": "string",
        "status": "string",
        "riskScore": 0,
        "decision": "string",
        "matchedRules": null,
        "watchlistHits": null,
        "originator": null,
        "beneficiary": null,
        "amount": null,
        "transactionType": "string",
        "riskLevel": "string",
        "screeningTimeMs": 0,
        "evaluations": [
            {
                "type": "SANCTIONS",
                "result": "CLEAR",
                "riskContribution": 0,
                "matchConfidence": 0,
                "details": {
                    "property1": "string",
                    "property2": "string"
                },
                "matchResults": [
                    {
                        "entryId": "string",
                        "watchlistId": "string",
                        "watchlistName": "string",
                        "watchlistType": "string",
                        "matchedName": "string",
                        "similarityScore": 0,
                        "matchAlgorithm": "string",
                        "matchedFields": [
                            "string"
                        ],
                        "property1": "string",
                        "property2": "string"
                    }
                ]
            }
        ],
        "outcome": {
            "status": "EXECUTED",
            "reason": "string",
            "reportedBy": {
                "id": "string",
                "name": "string",
                "email": "string",
                "avatar": "string"
            },
            "reportedAt": "string"
        },
        "createdAt": "string",
        "updatedAt": "string"
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-08-03 07:42:25
Next
Get screening result by ID
Built with